Subject: Re: bug#14702: 24.3.50; Byte-compiling called-interactively-p inside catch

From: Stephen Berman <[email-masked]>
Date: Tue, 25 Jun 2013 16:18:41 +0200

On Tue, 25 Jun 2013 10:04:51 -0400 Stefan Monnier <[email-masked]> wrote:

>> At the moment I don't see a way to do either of these: I can't use an
>> extra argument, because the command where I use called-interactively-p
>> already uses a prefix argument for another purpose; and I don't see an
>
> I don't see the relationship:
>
> (defun foo (prefix &optional interactive)
>   "Blabla."
>   (interactive "P\np")
>   ... (catch ... (if interactive ...) ...) ...)

D'oh!  I forgot about that possibility...

>> alternative to something like `catch', because I need to stop execution
>
> I didn't say not to use `catch', I said not to use
> called-interactively-p inside `catch'.  E.g.
>
>   (let ((interactive (called-interactively-p 'any)))
>    ...
>    (catch ... (if interactive ...) ...) ...)

D'oh^2!  Obviously I'm not very clear-headed right now...

Thanks.

Steve Berman